//
//  Tile.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 24/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__Tile__
#define __GlobalGameJam15__Tile__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class Tile : public SpriteEmitter
{
public:
	Tile(Uint8 tileIndex, int tileX, int tileY);
	virtual ~Tile();
	
	virtual Particle* emit(int timeInterval) override;
	virtual void draw(SDL_Renderer* renderer) override;
	
protected:
	
	Color _colorMod;
	Uint8 _index;
};

#endif /* defined(__GlobalGameJam15__Tile__) */
